## bootloader v0.9.0.0

=== hermit-at-3.8.1/Makefile ===
#
# Copyright (c) 2006 Atmark Techno, Inc.  All Rights Reserved.
#
# The default target of this Makefile is...

srctree = $(shell pwd)
HERMIT_CONFIG = $(srctree)/.config
export srctree HERMIT_CONFIG

INSTALLPREFIX := $(HOME)
bindir = $(INSTALLPREFIX)/bin
libdir = $(INSTALLPREFIX)/lib/hermit
export bindir libdir

dot-config := $(shell test ! -e $(HERMIT_CONFIG) || echo 1)

HOSTCC		= gcc
HOSTCXX		= g++
HOSTCFLAGS	= -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS	= -O2

ifdef V
  ifeq ("$(origin V)", "command line")
    KBUILD_VERBOSE = $(V)
  endif
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet = quiet_
  Q = @
  MAKE = make -s
endif

export HOSTCC HOSTCXX HOSTCFLAGS HOSTCXXFLAGS
export quiet Q KBUILD_VERBOSE

all::
	$(Q)test -e $(HERMIT_CONFIG) || (                                  \
		echo "***";                                                \
		echo "*** You have not yet configured your hermit!";       \
		echo "*** (missing hermit .config file)";                  \
		echo "***" ;                                               \
		echo "*** Please run some configurator ";                  \
		echo "*** (e.g. \"make config\" or \"make menuconfig\")."; \
		echo "***" ;                                               \
		/bin/false)

clean distclean scrub::
# This program has not yet been configured,
# so nothing needs to be done here.
	@/bin/true

include scripts/Kbuild.include

config:
	$(Q)$(MAKE) -s $(build)=scripts/basic
	$(Q)$(MAKE) -s $(build)=scripts/kconfig $@
	$(Q)test -e $(HERMIT_CONFIG) && \
	scripts/config2header.sh $(HERMIT_CONFIG) include/autoconf.h
	@ln -fs ../autoconf.h include/target/autoconf.h
	@ln -fs ../version.h include/target/version.h
%config:
	$(Q)$(MAKE) -s $(build)=scripts/basic
	$(Q)$(MAKE) -s $(build)=scripts/kconfig $@
	$(Q)test -e $(HERMIT_CONFIG) && \
	scripts/config2header.sh $(HERMIT_CONFIG) include/autoconf.h
	@ln -fs ../autoconf.h include/target/autoconf.h
	@ln -fs ../version.h include/target/version.h

clean = -f scripts/Makefile.clean obj
config_clean:
	$(Q)$(MAKE) -s $(clean)=scripts
	find scripts \
		-name '*.[ao]' -o -name '.*.cmd' -o -name '.*.d' \
		| xargs rm -f
	rm -f .config .config.old .config.cmd .tmpconfig.h
	rm -f include/autoconf.h include/target/autoconf.h
	rm -f include/target/version.h

ifeq ($(dot-config),1)
include $(HERMIT_CONFIG)

#
# Fail to build unless 'make scrub' is run between targets.  This
# minimizes the chance that stale object files will be incorporated
# into a target build.
#
ifneq (,$(wildcard target-stamp))
	last-target := $(shell cat target-stamp)
	ifneq ($(CONFIG_PLATFORM_NAME),"$(last-target)")
		error := target-error $(CONFIG_PLATFORM_NAME)
	endif
endif

HERMIT-VERSION-FILE: .FORCE-HERMIT-VERSION-FILE
	$(Q)$(SHELL_PATH) ./GIT-VERSION-GEN
-include HERMIT-VERSION-FILE
export HERMIT_VERSION

include/version.h: HERMIT-VERSION-FILE .FORCE-include/version.h
	@echo '#ifndef _HERMIT_VERSION_H_' > $@
	@echo '#define _HERMIT_VERSION_H_' >> $@
	@echo '#define HERMIT_VERSION "$(HERMIT_VERSION)"' >> $@
	@echo '#define BUILD_TIME "$(shell LANG=C date +"%T, %b %d %Y")"' >> $@
	@echo '#endif' >> $@

.PHONY: $(error) all build-host build-target .FORCE-HERMIT-VERSION-FILE .FORCE-include/version.h
all:: $(error) build
########################################################################

target-error:
	@echo "previous TARGET:" `cat target-stamp`
	@echo "target-stamp mismatch; 'make scrub' to switch targets"
	@/bin/false
target-stamp:
ifeq ($(CONFIG_TARGET_BUILD),y)
	@ln -s ../arch-$(CONFIG_PLATFORM_ARCH_NAME) include/target/arch
	@ln -s $(CONFIG_PLATFORM_NAME) src/target/platform
	@echo $(CONFIG_PLATFORM_NAME) > $@
endif

.PHONY: build build-version build-host build-target
build:: build-version build-host build-target
build-version: include/version.h
build-host: build-version
ifeq ($(CONFIG_HOST_BUILD),y)
	$(Q)$(MAKE) $(build)=src/host/common
endif
build-target: build-version target-stamp
ifeq ($(CONFIG_TARGET_BUILD),y)
	$(Q)$(MAKE) $(build)=src/target
endif

.PHONY: clean clean-host clean-target
clean:: clean-host clean-target
	rm -f HERMIT-VERSION-FILE
	rm -f include/version.h
clean-host:
	$(Q)$(MAKE) -s $(clean)=src/host/common
	find src/host/common \
		-name '*.[ao]' -o -name '.*.cmd' -o -name '.*.d' \
		| xargs rm -f
clean-target:
	$(Q)$(MAKE) -s $(clean)=src/target
	find src/target \
		-name '*.[ao]' -o -name '.*.cmd' -o -name '.*.d' \
		-o -name '*.elf' -o -name '*.bin' -o -name '*.map' \
		-o -name '*.srec' \
		-o -name 'loader.lds' -o -name 'profile-stamp' \
		| xargs rm -f

.PHONY: scrub scrub-host scrub-target
scrub:: clean scrub-host scrub-target config_clean
	rm -f target-stamp
	rm -f src/target/platform include/target/arch
scrub-host: clean-host
scrub-target: clean-target

.PHOHY: distclean
distclean:: scrub
	find . -name '*~' \
		| xargs rm -f

.PHONY: install install-host install-target
install: install-host install-target
install-host: build-host
	$(Q)$(MAKE) $(build)=src/host/common install
install-target: build-target
	$(Q)$(MAKE) $(build)=src/target install

endif

=== hermit-at-3.8.1/scripts/kconfig/Makefile ===
# ===========================================================================
# Kernel configuration targets
# These targets are used from top-level makefile

PHONY += oldconfig xconfig gconfig menuconfig config reportoldconfig silentoldconfig updateoldconfig update-po-config

Kconfig := Kconfig

xconfig: $(obj)/qconf
	$< $(Kconfig)

gconfig: $(obj)/gconf
	$< $(Kconfig)

menuconfig: $(obj)/mconf
	$< $(Kconfig)

config: $(obj)/conf
	$< $(Kconfig)

oldconfig: $(obj)/conf
	$< -o $(Kconfig)

reportoldconfig: $(obj)/conf
	$< -R $(Kconfig)

silentoldconfig: $(obj)/conf
	$< -s $(Kconfig)

updateoldconfig: $(obj)/conf
	$< -U $(Kconfig)

# Create new linux.pot file
# Adjust charset to UTF-8 in .po file to accept UTF-8 in Kconfig files
# The symlink is used to repair a deficiency in arch/um
update-po-config: $(obj)/kxgettext $(obj)/gconf.glade.h
	$(Q)echo "  GEN config"
	$(Q)xgettext --default-domain=linux              \
	    --add-comments --keyword=_ --keyword=N_      \
	    --from-code=UTF-8                            \
	    --files-from=scripts/kconfig/POTFILES.in     \
	    --output $(obj)/config.pot
	$(Q)sed -i s/CHARSET/UTF-8/ $(obj)/config.pot
	$(Q)ln -fs Kconfig.i386 arch/um/Kconfig.arch
	$(Q)(for i in `ls arch/*/Kconfig`;               \
	    do                                           \
		echo "  GEN $$i";                        \
		$(obj)/kxgettext $$i                     \
		     >> $(obj)/config.pot;               \
	    done )
	$(Q)msguniq --sort-by-file --to-code=UTF-8 $(obj)/config.pot \
	    --output $(obj)/linux.pot
	$(Q)rm -f arch/um/Kconfig.arch
	$(Q)rm -f $(obj)/config.pot

PHONY += randconfig allyesconfig allnoconfig allmodconfig defconfig

randconfig: $(obj)/conf
	$< -r $(Kconfig)

allyesconfig: $(obj)/conf
	$< -y $(Kconfig)

allnoconfig: $(obj)/conf
	$< -n $(Kconfig)

allmodconfig: $(obj)/conf
	$< -m $(Kconfig)

defconfig: $(obj)/conf
	$(Q)$< -D configs/defconfig Kconfig

%_defconfig: $(obj)/conf
	$(Q)$< -D configs/$@ $(Kconfig)

# Help text used by make help
help:
	@echo  '  config	  - Update current config utilising a line-oriented program'
	@echo  '  menuconfig	  - Update current config utilising a menu based program'
	@echo  '  xconfig	  - Update current config utilising a QT based front-end'
	@echo  '  gconfig	  - Update current config utilising a GTK based front-end'
	@echo  '  oldconfig	  - Update current config utilising a provided .config as base'
	@echo  '  silentoldconfig - Same as oldconfig, but quietly'
	@echo  '  randconfig	  - New config with random answer to all options'
	@echo  '  defconfig	  - New config with default answer to all options'
	@echo  '  allmodconfig	  - New config selecting modules when possible'
	@echo  '  allyesconfig	  - New config where all options are accepted with yes'
	@echo  '  allnoconfig	  - New config where all options are answered with no'

# lxdialog stuff
check-lxdialog  := $(srctree)/$(src)/lxdialog/check-lxdialog.sh

# Use recursively expanded variables so we do not call gcc unless
# we really need to do so. (Do not call gcc as part of make mrproper)
HOST_EXTRACFLAGS = $(shell $(CONFIG_SHELL) $(check-lxdialog) -ccflags)
HOST_LOADLIBES   = $(shell $(CONFIG_SHELL) $(check-lxdialog) -ldflags $(HOSTCC))

HOST_EXTRACFLAGS += -DLOCALE


# ===========================================================================
# Shared Makefile for the various kconfig executables:
# conf:	  Used for defconfig, oldconfig and related targets
# mconf:  Used for the mconfig target.
#         Utilizes the lxdialog package
# qconf:  Used for the xconfig target
#         Based on QT which needs to be installed to compile it
# gconf:  Used for the gconfig target
#         Based on GTK which needs to be installed to compile it
# object files used by all kconfig flavours

lxdialog := lxdialog/checklist.o lxdialog/util.o lxdialog/inputbox.o
lxdialog += lxdialog/textbox.o lxdialog/yesno.o lxdialog/menubox.o

conf-objs	:= conf.o  zconf.tab.o
mconf-objs	:= mconf.o zconf.tab.o $(lxdialog)
kxgettext-objs	:= kxgettext.o zconf.tab.o

hostprogs-y := conf qconf gconf kxgettext

ifeq ($(MAKECMDGOALS),menuconfig)
	hostprogs-y += mconf
endif

ifeq ($(MAKECMDGOALS),xconfig)
	qconf-target := 1
endif
ifeq ($(MAKECMDGOALS),gconfig)
	gconf-target := 1
endif


ifeq ($(qconf-target),1)
qconf-cxxobjs	:= qconf.o
qconf-objs	:= kconfig_load.o zconf.tab.o
endif

ifeq ($(gconf-target),1)
gconf-objs	:= gconf.o kconfig_load.o zconf.tab.o
endif

clean-files	:= lkc_defs.h qconf.moc .tmp_qtcheck \
		   .tmp_gtkcheck zconf.tab.c lex.zconf.c zconf.hash.c gconf.glade.h
clean-files     += mconf qconf gconf
clean-files     += config.pot linux.pot

# Check that we have the required ncurses stuff installed for lxdialog (menuconfig)
PHONY += $(obj)/dochecklxdialog
$(addprefix $(obj)/,$(lxdialog)): $(obj)/dochecklxdialog
$(obj)/dochecklxdialog:
	$(Q)$(CONFIG_SHELL) $(check-lxdialog) -check $(HOSTCC) $(HOST_EXTRACFLAGS) $(HOST_LOADLIBES)

always := dochecklxdialog

# Add environment specific flags
HOST_EXTRACFLAGS += $(shell $(CONFIG_SHELL) $(srctree)/$(src)/check.sh $(HOSTCC) $(HOSTCFLAGS))

# generated files seem to need this to find local include files
HOSTCFLAGS_lex.zconf.o	:= -I$(src)
HOSTCFLAGS_zconf.tab.o	:= -I$(src)

HOSTLOADLIBES_qconf	= $(KC_QT_LIBS) -ldl
HOSTCXXFLAGS_qconf.o	= $(KC_QT_CFLAGS) -D LKC_DIRECT_LINK

HOSTLOADLIBES_gconf	= `pkg-config --libs gtk+-2.0 gmodule-2.0 libglade-2.0`
HOSTCFLAGS_gconf.o	= `pkg-config --cflags gtk+-2.0 gmodule-2.0 libglade-2.0` \
                          -D LKC_DIRECT_LINK

$(obj)/qconf.o: $(obj)/.tmp_qtcheck

ifeq ($(qconf-target),1)
$(obj)/.tmp_qtcheck: $(src)/Makefile
-include $(obj)/.tmp_qtcheck

# QT needs some extra effort...
$(obj)/.tmp_qtcheck:
	@set -e; echo "  CHECK   qt"; dir=""; pkg=""; \
	pkg-config --exists qt 2> /dev/null && pkg=qt; \
	pkg-config --exists qt-mt 2> /dev/null && pkg=qt-mt; \
	if [ -n "$$pkg" ]; then \
	  cflags="\$$(shell pkg-config $$pkg --cflags)"; \
	  libs="\$$(shell pkg-config $$pkg --libs)"; \
	  moc="\$$(shell pkg-config $$pkg --variable=prefix)/bin/moc"; \
	  dir="$$(pkg-config $$pkg --variable=prefix)"; \
	else \
	  for d in $$QTDIR /usr/share/qt* /usr/lib/qt*; do \
	    if [ -f $$d/include/qconfig.h ]; then dir=$$d; break; fi; \
	  done; \
	  if [ -z "$$dir" ]; then \
	    echo "*"; \
	    echo "* Unable to find the QT3 installation. Please make sure that"; \
	    echo "* the QT3 development package is correctly installed and"; \
	    echo "* either install pkg-config or set the QTDIR environment"; \
	    echo "* variable to the correct location."; \
	    echo "*"; \
	    false; \
	  fi; \
	  libpath=$$dir/lib; lib=qt; osdir=""; \
	  $(HOSTCXX) -print-multi-os-directory > /dev/null 2>&1 && \
	    osdir=x$$($(HOSTCXX) -print-multi-os-directory); \
	  test -d $$libpath/$$osdir && libpath=$$libpath/$$osdir; \
	  test -f $$libpath/libqt-mt.so && lib=qt-mt; \
	  cflags="-I$$dir/include"; \
	  libs="-L$$libpath -Wl,-rpath,$$libpath -l$$lib"; \
	  moc="$$dir/bin/moc"; \
	fi; \
	if [ ! -x $$dir/bin/moc -a -x /usr/bin/moc ]; then \
	  echo "*"; \
	  echo "* Unable to find $$dir/bin/moc, using /usr/bin/moc instead."; \
	  echo "*"; \
	  moc="/usr/bin/moc"; \
	fi; \
	echo "KC_QT_CFLAGS=$$cflags" > $@; \
	echo "KC_QT_LIBS=$$libs" >> $@; \
	echo "KC_QT_MOC=$$moc" >> $@
endif

$(obj)/gconf.o: $(obj)/.tmp_gtkcheck

ifeq ($(gconf-target),1)
-include $(obj)/.tmp_gtkcheck

# GTK needs some extra effort, too...
$(obj)/.tmp_gtkcheck:
	@if `pkg-config --exists gtk+-2.0 gmodule-2.0 libglade-2.0`; then		\
		if `pkg-config --atleast-version=2.0.0 gtk+-2.0`; then			\
			touch $@;								\
		else									\
			echo "*"; 							\
			echo "* GTK+ is present but version >= 2.0.0 is required.";	\
			echo "*";							\
			false;								\
		fi									\
	else										\
		echo "*"; 								\
		echo "* Unable to find the GTK+ installation. Please make sure that"; 	\
		echo "* the GTK+ 2.0 development package is correctly installed..."; 	\
		echo "* You need gtk+-2.0, glib-2.0 and libglade-2.0."; 		\
		echo "*"; 								\
		false;									\
	fi
endif

$(obj)/zconf.tab.o: $(obj)/lex.zconf.c $(obj)/zconf.hash.c

$(obj)/kconfig_load.o: $(obj)/lkc_defs.h

$(obj)/qconf.o: $(obj)/qconf.moc $(obj)/lkc_defs.h

$(obj)/gconf.o: $(obj)/lkc_defs.h

$(obj)/%.moc: $(src)/%.h
	$(KC_QT_MOC) -i $< -o $@

$(obj)/lkc_defs.h: $(src)/lkc_proto.h
	sed < $< > $@ 's/P(\([^,]*\),.*/#define \1 (\*\1_p)/'

# Extract gconf menu items for I18N support
$(obj)/gconf.glade.h: $(obj)/gconf.glade
	intltool-extract --type=gettext/glade $(obj)/gconf.glade

###
# The following requires flex/bison/gperf
# By default we use the _shipped versions, uncomment the following line if
# you are modifying the flex/bison src.
# LKC_GENPARSER := 1

ifdef LKC_GENPARSER

$(obj)/zconf.tab.c: $(src)/zconf.y
$(obj)/lex.zconf.c: $(src)/zconf.l
$(obj)/zconf.hash.c: $(src)/zconf.gperf

%.tab.c: %.y
	bison -l -b $* -p $(notdir $*) $<
	cp $@ $@_shipped

lex.%.c: %.l
	flex -L -P$(notdir $*) -o$@ $<
	cp $@ $@_shipped

%.hash.c: %.gperf
	gperf < $< > $@
	cp $@ $@_shipped

endif

=== hermit-at-3.8.1/src/target/Makefile ===
#
# src/target/Makefile
#
# Copyright (c) 2009 Atmark Techno, Inc.  All Rights Reserved.
#

include $(HERMIT_CONFIG)

comma	:= ,
empty	:=
space	:= $(empty) $(empty)

as-option = $(shell if $(CC) $(CFLAGS) $(1) -c -x assembler /dev/null \
	     -o /dev/null > /dev/null 2>&1; then echo "$(1)"; \
	     else echo "$(2)"; fi ;)
cc-option = $(shell if $(CC) $(CFLAGS) $(1) -S -o /dev/null -xc /dev/null \
	     > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi ;)

CROSS_COMPILE := $(if $(CONFIG_ARCH_ARM),arm-linux-gnueabi-,$(CROSS_COMPILE))
CROSS_COMPILE := $(if $(CONFIG_CROSSDEV_ARMHF), \
			arm-linux-gnueabihf-,$(CROSS_COMPILE))
CROSS_COMPILE := $(if $(CONFIG_ARCH_MICROBLAZE),mb-,$(CROSS_COMPILE))
CROSS_COMPILE := $(if $(CONFIG_ARCH_PPC),powerpc-linux-,$(CROSS_COMPILE))

CC	:= $(CROSS_COMPILE)gcc
CPP	:= $(CC) -E
LD	:= $(CROSS_COMPILE)ld
AR	:= $(CROSS_COMPILE)ar
RANLIB	:= $(CROSS_COMPILE)ranlib
OBJCOPY	:= $(CROSS_COMPILE)objcopy

march-$(CONFIG_ARCH_ARM_32v4T)	:= -D__ARM_ARCH__=4 -march=armv4t
march-$(CONFIG_ARCH_ARM_32v5)	:= -D__ARM_ARCH__=5 -march=armv5te
march-$(CONFIG_ARCH_ARM_32v6)	:= -D__ARM_ARCH__=6 \
				   $(call cc-option, -march=armv6, \
						     -march=armv5t)
march-$(CONFIG_ARCH_ARM_32v7)	:= -D__ARM_ARCH__=7 \
				   $(call cc-option, -march=armv7-a, \
						     -march=armv5t)

mtune-$(CONFIG_ARCH_ARM_920T)	:= -mtune=arm9tdmi
mtune-$(CONFIG_ARCH_ARM_926T)	:= -mtune=arm9tdmi
mtune-$(CONFIG_ARCH_ARM_V6)	:= $(firstword \
					$(call cc-option, -mtune=arm1136jf-s) \
					$(call cc-option, -mtune=arm1136jfs) \
					$(call cc-option, -mtune=strongarm) \
					)

mflags-$(CONFIG_ARCH_ARM)	:= -mthumb-interwork -mthumb
mflags-$(CONFIG_ARCH_MICROBLAZE):= -mno-xl-soft-mul -mno-xl-soft-div
mflags-$(CONFIG_ARCH_PPC)	:= -m32 -mmultiple -mstring \
				   -Wa,-m405 -Wa,-mregnames,-m405

thumb2-$(CONFIG_ARCH_ARM_V7)	:= $(call as-option, \
					-Wa$(comma)-mimplicit-it=always, \
					-Wa$(comma)-mauto-it)

AFLAGS	:= -Wall $(thumb2-y) $(march-y) $(mtune-y) $(mflags-y) -I$(srctree)/include/target -I$(srctree)/src/target/
CFLAGS	:= -Wall -O2 -fomit-frame-pointer -static \
	   -nostdinc -nostdlib -fno-builtin \
	   $(march-y) $(mtune-y) $(mflags-y) \
	   -I$(srctree)/include/target/ \
	   -I$(srctree)/src/target/
GCC_VER := $(shell $(CC) -dumpversion | sed "s/\..*//")

KBUILD_BUILTIN := 1
KBUILD_CHECKSRC := 0
.EXPORT_ALL_VARIABLES:

build_target_prefix := $(shell echo $(CONFIG_PLATFORM_NAME)/$(shell \
			$(srctree)/tools/ncvt -c "-" \
			loader $(if $(CONFIG_MACH_NAME),\
			$(CONFIG_MACH_NAME),$(CONFIG_PLATFORM_NAME)) \
			$(CONFIG_PROFILE_NAME) v$(HERMIT_VERSION)))
build_target := $(shell echo $(obj)/$(build_target_prefix))
platform_dir := $(shell echo $(obj)/$(CONFIG_PLATFORM_NAME))

obj-y += $(CONFIG_PLATFORM_NAME)/
obj-y += core/ driver/ command/
libs-y += src/target/core/
libs-y := $(patsubst %/, %/lib.a, $(libs-y))

always := $(build_target_prefix).bin

LDSCRIPT := $(CONFIG_SYSTEM_LDSCRIPT)
quiet_cmd_build_lds ?= LDS     $@
      cmd_build_lds ?= $(CPP) -P -x assembler-with-cpp $(CFLAGS) \
		       $(obj)/platform/loader.lds.$(LDSCRIPT) > $@
$(platform_dir)/loader.lds: $(wildcard $(obj)/platform/loader.lds.*) FORCE
	$(call cmd,build_lds,)

quiet_cmd_build_elf ?= LD      $@
      cmd_build_elf ?= $(LD) \
			 -Map $(build_target).map \
			 -T$(platform_dir)/loader.lds -o $@ \
			 $(obj-y) $(libs-y) \
			 --start-group $(LIBS) --end-group
$(build_target).elf: $(platform_dir)/loader.lds FORCE
	$(call cmd,build_elf,)

OBJSECTIONS := .boot .entry .text .data .bss
OBJCOPYFLAGS := -O binary -S $(addprefix -j ,$(OBJSECTIONS))
quiet_cmd_build_bin ?= OBJCOPY $@
      cmd_build_bin ?= $(OBJCOPY) $(OBJCOPYFLAGS) $< $@
$(build_target).bin: $(build_target).elf
	$(call cmd,build_bin,)

-include $(obj)/platform/Makefile.include

install-files := $(addsuffix _install,$(addprefix $(obj)/,$(always)))
quiet_cmd_install ?= INSTALL $(subst _install,,$@)
      cmd_install ?= mkdir -p $(2); cp $(subst _install,,$@) $(2)
install: $(install-files)
%_install:
	$(call cmd,install,$(libdir))

=== hermit-at-3.8.1/src/host/common/Makefile ===
#
# Copyright (c) 2008 Atmark-Techno, Inc.  All Rights Reserved.
#
include $(HERMIT_CONFIG)

ifeq ($(CONFIG_HOST_BUILD),y)

host-cflags-$(CONFIG_HOST_FUNC_FIRMUPDATE) += -DAJ_FIRMUPDATE_SUPPORT

HOST_EXTRACFLAGS += -DHERMIT_VERSION='"$(HERMIT_VERSION)"' -D_CONSOLE \
		    $(host-cflags-y)

hermit-objs := crc.o download.o erase.o eth.o ethutil.o flash.o main.o \
	       memmap.o options.o region.o serial.o target.o util.o console.o \
	       md5sum.o

hostprogs-y := hermit

always :=$(hostprogs-y)

endif

quiet_cmd_install ?= INSTALL $(always)
      cmd_install ?= mkdir -p $(2); cp $(always) $(2)
install:
	$(if $(always),$(call cmd,install,$(bindir)))

=== hermit-at-3.8.1/src/target/armadillo-box-ws1/Makefile ===
#
# Copyright (c) 2009 Atmark Techno, Inc.  All Rights Reserved.
#

obj-y += board.o
obj-y += boot.o
obj-$(CONFIG_IRQ_MX25)		+= vector.o

=== hermit-at-3.8.1/src/target/armadillo-iotg-std/Makefile ===
#
# Copyright (c) 2014 Atmark Techno, Inc.  All Rights Reserved.
#

obj-y += board.o
obj-y += boot.o
obj-$(CONFIG_IRQ_MX25)		+= vector.o

=== hermit-at-3.8.1/src/target/armadillo2x0/Makefile ===
#
# Copyright (c) 2006 Atmark Techno, Inc.  All Rights Reserved.
#
EXTRA_CFLAGS += -DCONSOLE=0
obj-y += board.o
obj-y += boot.o
obj-y += mm.o

=== hermit-at-3.8.1/src/target/armadillo3x0/Makefile ===
#
# Copyright (c) 2006 Atmark Techno, Inc.  All Rights Reserved.
#

obj-y += board.o
obj-y += boot.o
obj-y += mm.o
obj-$(CONFIG_COMPACTFLASH_A3X0) += ide_a3x0.o

=== hermit-at-3.8.1/src/target/armadillo5x0/Makefile ===
#
# src/target/armadillo5x0/Makefile
#
# Copyright (c) 2009 Atmark Techno, Inc.  All Rights Reserved.
#

obj-y += board.o
obj-y += boot.o
obj-y += mm.o

obj-$(CONFIG_COMPACTFLASH_MX31)		+= ide_a5x0.o

=== hermit-at-3.8.1/src/target/armadillo8x0/Makefile ===
#
# Copyright (c) 2011 Atmark Techno, Inc.  All Rights Reserved.
#

obj-$(CONFIG_PLATFORM_ARMADILLO800EVA) += board-armadillo800eva.o
obj-$(CONFIG_PLATFORM_ARMADILLO810) += board-armadillo810.o proc-at88sc.o
obj-$(CONFIG_PLATFORM_ARMADILLO840) += board-armadillo840.o proc-at88sc.o
obj-y += boot.o proc.o
obj-$(CONFIG_IRQ_RMA1)		+= vector.o

=== hermit-at-3.8.1/src/target/armadillo9/Makefile ===
#
# Copyright (c) 2004 Atmark Techno, Inc.  All Rights Reserved.
#
EXTRA_CFLAGS += -DCONSOLE=0
obj-y += board.o
obj-y += boot.o
obj-y += mm.o
obj-$(CONFIG_COMPACTFLASH_EP93XX) += ide_a9.o

=== hermit-at-3.8.1/src/target/command/Makefile ===
#
# Copyright (c) 2009 Atmark Techno, Inc.  All Rights Reserved.
#

#
# Standard commands
#
obj-$(CONFIG_CMD_DOWNLOAD)	+= download.o
obj-$(CONFIG_CMD_FROB)		+= frob.o peek.o poke.o quit.o
obj-$(CONFIG_CMD_HELP)		+= help.o
obj-$(CONFIG_CMD_JUMP)		+= jump.o
obj-$(CONFIG_CMD_MEDIUM)	+= medium.o
obj-$(CONFIG_CMD_UPLOAD)	+= upload.o
obj-$(CONFIG_CMD_VERSION)	+= version.o
obj-$(CONFIG_CMD_MEMMAP)	+= memmap.o
obj-$(CONFIG_CMD_BOOT)		+= linux.o

#
# Optional commands
#
obj-$(CONFIG_CMD_INFO)		+= info.o
obj-$(CONFIG_CMD_MAC)		+= mac.o
obj-$(CONFIG_CMD_MAP)		+= map.o
obj-$(CONFIG_CMD_MD5SUM)	+= md5.o md5sum.o
obj-$(CONFIG_CMD_PASSWD)	+= md5.o md5-crypt.o passwd.o
obj-$(CONFIG_CMD_SETBOOTDEVICE)	+= setbootdevice.o
obj-$(CONFIG_CMD_SETCLOCK)	+= setclock.o
obj-$(CONFIG_CMD_SETENV)	+= setenv.o
obj-$(CONFIG_CMD_SETPARAM)	+= param.o
obj-$(CONFIG_CMD_TFTPBOOT)	+= tftp_common.o tftpboot.o
obj-$(CONFIG_CMD_TFTPDL)	+= tftp_common.o tftpdl.o

#
# Optional functions
#
obj-$(CONFIG_FUNC_DHCPC)	+= dhcpc.o

=== hermit-at-3.8.1/debian/changelog ===
hermit-at-3 (3.8.1) stable; urgency=medium

  * fixed undesired parameter erase bug
  * abws1: disable all consoles other than ttymxc1

 -- Yasushi SHOJI <yashi@atmark-techno.com>  Wed, 16 Nov 2016 17:09:49 +0900

hermit-at-3 (3.8.0) stable; urgency=low

  * Add support for Armadillo-420

  [ Makoto Harada]
  * a4x0: change mtdparts
  * abws1: bug fix of "Disable configuration of ttymxc2, 3 and 4"
  * a4x0: disable FORCE_OFF of UART2 RS-232 Transceiver

 -- Hiroaki OHSAWA <ohsawa@atmark-techno.com>  Fri, 16 Oct 2015 18:05:48 +0900

hermit-at-3 (3.7.0) stable; urgency=low

  * A840: ATAG_MEM presents DRAM size info except the ACM region

 -- Hiroaki OHSAWA <ohsawa@atmark-techno.com>  Mon, 28 Sep 2015 15:56:42 +0900

hermit-at-3 (3.6.0) stable; urgency=medium

  * Add support for Armadillo-Box WS1

 -- Yasushi SHOJI <yashi@atmark-techno.com>  Wed, 22 Jul 2015 20:55:43 +0900

hermit-at-3 (3.5.0) stable; urgency=low

  * Add support for Armadillo-IoTG-Std G2
  * Fixed pull-up/down setting on Armadillo-IoTG-Std
  * Not support the console other than ttymxc1 for Armadillo-IoTG-Std

 -- Tetsuhisa KOSEKI <koseki@atmark-techno.com>  Fri, 12 Jun 2015 17:58:24 +0900

hermit-at-3 (3.4.0) stable; urgency=medium

  [ Hiroaki OHSAWA ]
  * transition from at-3.2/at-3.3

  [ Yasushi SHOJI ]
  * new upstream release
  * Add a800 seriese 1GB DRAM support

 -- Yasushi SHOJI <yashi@atmark-techno.com>  Tue, 26 May 2015 21:06:03 +0900

hermit-at-3.3 (3.3.1) stable; urgency=low

  * Fixed pull-up/down setting on Armadillo-IoTG-Std
  * Add support for UART3 on Armadillo-IoTG-Std

 -- Daisuke Mizobuchi <mizo@atmark-techno.com>  Mon, 26 Jan 2015 10:32:08 +0900

hermit-at-3.3 (3.3.0) stable; urgency=low

  * Fixed memory map on Armadillo-IoTG-Std

 -- Tetsuhisa KOSEKI <koseki@atmark-techno.com>  Sat, 6 Dec 2014 15:14:50 +0900

hermit-at-3.3 (3.3.0-rc2) stable; urgency=low

  * Add support for Armadillo-IoTG-Std

 -- Tetsuhisa KOSEKI <koseki@atmark-techno.com>  Tue, 2 Dec 2014 20:27:30 +0900

hermit-at-3.3 (3.3.0-rc1) stable; urgency=low

  * Add support for Armadillo-4x0

 -- Daisuke Mizobuchi <mizo@atmark-techno.com>  Mon, 10 Nov 2014 14:05:30 +0900

hermit-at-3.2 (3.2.4) stable; urgency=low

  * Changed Armadillo-8x0 DBSC arbitration

 -- Daisuke Mizobuchi <mizo@atmark-techno.com>  Thu, 20 Dec 2013 14:21:14 +0900

hermit-at-3.2 (3.2.3) stable; urgency=low

  * Fixed pin definitions on Armadillo-840

 -- Masahiro Nakai <nakai@atmark-techno.com>  Wed, 3 Jul 2013 15:27:05 +0900

hermit-at-3.2 (3.2.2) stable; urgency=low

  * Fixed memory map on Armadillo-840
  * Changed to read-only at license/firmware regions on Armadillo-810/840

 -- Masahiro Nakai <nakai@atmark-techno.com>  Tue, 7 May 2013 18:50:45 +0900

hermit-at-3.2 (3.2.1) stable; urgency=low

  * Fixed DBGMD_EN_N state on Armadillo-810

 -- Masahiro Nakai <nakai@atmark-techno.com>  Wed, 27 Feb 2013 13:15:19 +0900

hermit-at-3.2 (3.2.0) stable; urgency=low

  * Added support for Armadillo-810 and Armadillo-840
  * Added password-lock mechanism
  * Added support for squashfs-root
  * Fixed ARM/THUMB interworking (for gcc-4.5 or later)

 -- Masahiro Nakai <nakai@atmark-techno.com>  Wed, 6 Feb 2013 15:31:50 +0900

hermit-at-3.1 (3.1.0) stable; urgency=low

  * Renamed bootloader binary from loader-armadillo8x0 to loader-armadillo800eva-mmcsd
  * Added support for I/D cache on ARMv7/RMA1
  * Fixed wrong Linux boot parameter (ATAG address) on ARM
  * Implemented TFTP retry mechanism

  * Affected binary files by this update:
        loader-armadillo800eva-mmcsd

 -- Masahiro Nakai <nakai@atmark-techno.com>  Mon, 11 Jun 2012 13:41:40 +0900

hermit-at-3.0 (3.0.0) stable; urgency=low

  * Add support for Armadillo-800EVA

 -- Masahiro Nakai <nakai@atmark-techno.com>  Wed, 21 Dec 2011 20:43:47 +0900

hermit-at (2.1.3) unstable; urgency=low

  * Add support for Armadillo-460

 -- Masahiro Nakai <nakai@atmark-techno.com>  Tue, 28 Jun 2011 15:37:18 +0900

hermit-at (2.1.2) unstable; urgency=low

  * Fixed zero power up wait period at SD boot time for Armadillo-400

 -- Masahiro Nakai <nakai@atmark-techno.com>  Mon, 18 Apr 2011 17:57:48 +0900

hermit-at (2.1.1) unstable; urgency=low

  * Fixed Armadillo-500 Erratum No.7
  * Fixed SD card detection bug on Armadillo-400
  * Fixed RAM detection bug on Armadillo-500
  * Add support for SDHC driver on Armadillo-500

 -- Masahiro Nakai <nakai@atmark-techno.com>  Thu, 24 Mar 2011 15:30:48 +0900

hermit-at (2.1.0) unstable; urgency=low

  * Adapted to new ethernet framework
  * Fixed erasing bug on hermit host
  * Add support for ERASE function on WIN32
  * Add support for COM10 or greater on WIN32

 -- Masahiro Nakai <nakai@atmark-techno.com>  Mon, 20 Dec 2010 20:14:48 +0900

hermit-at (2.0.8) unstable; urgency=low

  * ext2: fixed group description parsing for inode info retreival.
  * ext2: read just as much as we need when searching for kernel image.
  * sdhc: wait 80 clocks for initialization.  this fixed reboot failure.

 -- Masahiro Nakai <nakai@atmark-techno.com>  Fri, 12 Nov 2010 15:04:12 +0900

hermit-at (2.0.7) stable; urgency=low

  * fixed a brown paper bag bug of checking ip fragmentation check
  * make tftp layer to always wait for OACK when using the option "blksize"

 -- Masahiro Nakai <nakai@atmark-techno.com>  Wed, 13 Oct 2010 15:55:00 +0900

hermit-at (2.0.6) stable; urgency=low

  * fixed initializing UART for i.mx25
  * Changed to always set up Armadillo-4x0's STANDARD_CONSOLE

 -- Masahiro Nakai <nakai@atmark-techno.com>  Fri, 8 Oct 2010 14:03:00 +0900

hermit-at (2.0.5) stable; urgency=low

  * fixed an out of memory error which occurs when downloading a file via tftp.
    the file must be the same size as the given target region to trigger this
    bug.
  * implemented new tftp capability defined by RFC2347 and RFC2348.
  * code cleanup

 -- Masahiro Nakai <nakai@atmark-techno.com>  Thu, 16 Sep 2010 18:31:00 +0900

hermit-at (2.0.4) stable; urgency=low

  * Changed internal memory map for Armadillo-400


=== hermit-at-3.8.1/debian/control ===
Source: hermit-at-3
Section: devel
Maintainer: Masahiro Nakai <nakai@atmark-techno.com>
Priority: extra
Standards-Version: 3.7.2
Build-Depends: cdbs, debhelper (>= 5)

Package: hermit-at-3
Architecture: any
Conflicts: hermit, hermit-at
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: hermit-at-3.2 (<=3.4.0), hermit-at-3.3(<=3.4.0)
Breaks: hermit-at-3.2 (<=3.4.0), hermit-at-3.3(<=3.4.0)
Suggests: shoehorn
Description: Yet Another Hermit boot loader/downloader
 Hermit-At is a fork of Hermit, a boot loader/downloader
 combination. Hermit-At supports all Atmark Techno products line.

=== hermit-at-3.8.1/debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for the hermit-at.
#

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_INSTALL_DOCS_hermit-at := doc/README.*
DEB_INSTALL_MANPAGES_hermit-at := doc/hermit.1

install-prefix := $(DEB_DESTDIR)usr
install-opt := INSTALLPREFIX=$(install-prefix)

images := $(subst configs/,,$(wildcard configs/*_defconfig))

VDEF := $(strip $(shell dpkg-parsechangelog | awk -F: '/^Version:/ {print $$NF}'))
VMAJOR := $(shell echo $(VDEF) | awk -F. '{print $$1}')
VMINOR := $(shell echo $(VDEF) | awk -F. '{print $$2}' | sed -e 's/\([0-9]*\).*/\1/')
VVER := $(shell echo $(VMAJOR) $(VMINOR) | awk '{printf("%d.%d", $$1, $$2)}')
VPRI := $(shell echo $(VMAJOR) $(VMINOR) | awk '{printf("%2d%02d", $$1, $$2)}')

clean::
	$(MAKE) -s scrub
	rm -f debian/hermit-at-*.postinst debian/hermit-at-*.prerm

common-build-arch::
	$(MAKE) -s defconfig
	$(MAKE) -s build-host

common-install-arch:: install-host install-images
install-host:
	$(MAKE) -s defconfig
	$(MAKE) -s $(install-opt) install-host
	mv $(install-prefix)/bin/hermit $(install-prefix)/bin/hermit-$(VMAJOR)
	sed -e 's/@VVER@/$(VMAJOR)/g' -e 's/@VPRI@/$(VPRI)/g' \
		debian/hermit-at.postinst.in > debian/hermit-at-$(VMAJOR).postinst
	sed -e 's/@VVER@/$(VMAJOR)/g' \
		debian/hermit-at.prerm.in > debian/hermit-at-$(VMAJOR).prerm


install-images: $(images)
	mv $(install-prefix)/lib/hermit $(install-prefix)/lib/hermit-$(VMAJOR)

%_defconfig:
	$(MAKE) -s scrub $@
	$(MAKE) -s $(install-opt) install-target
